## rtpac3pay rtpac3pay |

## Types and Values

struct | GstRtpAC3Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpAC3Pay

## Description

Payload AC3 audio into RTP packets according to RFC 4184. For detailed information see: http://www.rfc-editor.org/rfc/rfc4184.txt

### Example pipeline

    1
    gst-launch-1.0 -v audiotestsrc ! avenc_ac3 ! rtpac3pay ! udpsink

This example pipeline will encode and payload AC3 stream. Refer to the rtpac3depay example to depayload and decode the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | audio/ac3
| audio/x-ac3

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int){ 32000, 44100, 48000 }, encoding-name=(string)AC3

## Functions

## Types and Values

### struct GstRtpAC3Pay

    struct GstRtpAC3Pay;

## See Also

rtpac3depay